Bug 99756 - The high-contrast theme does NOT work properly in tables
Summary: The high-contrast theme does NOT work properly in tables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.6.2 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: High-Contrast
  Show dependency treegraph
 
Reported: 2016-05-10 07:27 UTC by Diego Ramírez
Modified: 2019-02-24 03:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot (in Spanish) of the bug with an existing file. (71.07 KB, image/png)
2016-05-10 10:18 UTC, Diego Ramírez
Details
A screenshot (in Spanish) of the bug when you create a new file. (47.70 KB, image/png)
2016-05-10 10:33 UTC, Diego Ramírez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Ramírez 2016-05-10 07:27:14 UTC
User-Agent:       Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:46.0) Gecko/20100101 Firefox/46.0
Build Identifier: LibreOffice 5.0.6.3

I use the high-contrast theme becaus i'm a low vision person.  When i'm using the Writer, the theme is aplied correctly in the pages, but, when i create a table, the lines are not visible (I suppose that the lines use the default color, black, and that's why i can't see them, since the background is black, as well).  Also, when i'm editing an existing file (not created by me), the table uses the default colors (white background, black letters and black lines) or the style that the original creator used, instead of the high-contrast (black background, white letters and white lines).

Reproducible: Always

Steps to Reproduce:
1. Open LibreOffice.
2. Go to Tools and select Options.
3. Go to Accesibility and check the first two settings in the high-contrast section.  Save the changes.
4. Open a new text document, and create a table.
5. Or, instead of creating a new blank file, you can open an existing file which already has a table inserted.
Actual Results:  
If you created a new file, an then inserted a table, you are going to se that the table borders and lines are not visible.
If you opened an existing file, you are going to see that the table uses the the style propieties that the creator selected, or, if there was not any style, Writer will show you the default (non-high-contrast) colors in the table, but not in the rest of de document.

Expected Results:  
Writer should use the high-contrast theme in tables (black background, white letters and white borders/lines), no matter the style configuration that the file might content.

[Information automatically included from LibreOffice]
Locale: es
Module: StartModule
[Information guessed from browser]
OS: Windows NT 10.0
OS is 64bit: Yes
The system is configured to use a high-contrast theme (black background, white letters and white borders) and the text is upscaled by 200%.


Reset User Profile?No.  Considering that the only change that i made to the configuration was selecting the high-contras options (since they are NOT active by default), i don't thing that reseting two options to default will solve anything.
Comment 1 Diego Ramírez 2016-05-10 10:18:09 UTC
Created attachment 124948 [details]
A screenshot (in Spanish) of the bug with an existing file.

This is a screenshot (in Spanish) of the bug that happens when you open an existing file which includes a table.  As you may see, the normal text is completely using the high-contrast theme, but the table below doesn't change at all, it still using the default style.
Comment 2 Diego Ramírez 2016-05-10 10:33:17 UTC
Created attachment 124950 [details]
A screenshot (in Spanish) of the bug when you create a new file.

This is a screenshot (in Spanish) of the bug that happens when you create a new text document and insert a table.  As you may see, the borders/lines of the table are NOT visible.  Like i said in the details of the bug, i think that this is because the table still using the default color for the borders/lines, which is black, making them imposible to see.  But, at least in this case, the background does change, and the letters, as well, so it's more easy to use.
Comment 3 Buovjaga 2016-05-13 06:56:40 UTC
Repro with high contrast Windows theme and the settings.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha1+
Build ID: 3d27afd26f7b85c46a7c7d08498000b9dbcea1c8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-09_02:42:15
Locale: fi-FI (fi_FI)
Comment 4 Diego Ramírez 2016-05-13 23:44:05 UTC Comment hidden (off-topic)
Comment 5 Buovjaga 2016-05-14 15:02:25 UTC Comment hidden (off-topic)
Comment 6 Diego Ramírez 2016-07-17 04:24:32 UTC
The bug still in the LibreOffice 5.1.4.2 (x64)
Comment 7 QA Administrators 2017-10-28 17:47:07 UTC Comment hidden (obsolete)
Comment 8 Diego Ramírez 2018-02-23 04:46:16 UTC
The bug is still mostly there. Now, when inserting a table using the default style, the table is displayed properly. However, when opening an existing file with a table, or inserting one with a non-default style, the table is displayed with that style instead of the high-contrast one.

Versión: 6.0.1.1 (x64)
Id. de compilación: 60bfb1526849283ce2491346ed2aa51c465abfe6
Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: predet.; 
Configuración regional: es-ES-u-co-trad (es_ES); Calc: CL
Comment 9 QA Administrators 2019-02-24 03:41:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug